mwMsgHandshake Struct Reference

`#include <mw_message.h>`

## Data Fields

struct mwMessage | head
char * | local_host
| name of client host
guint32 | loclcalc_addr
| local public IP
guint16 | login_type
guint16 | major
| client's major version number
guint16 | minor
| client's minor version number
guint32 | srvrcalc_addr
| 0.0.0.0
guint16 | unknown_a
| normally 0x0100
guint32 | unknown_b
| normally 0x00000000

## Field Documentation

## head

struct mwMessage mwMsgHandshake::head

## local_host

char* mwMsgHandshake::local_host

name of client host

## loclcalc_addr

guint32 mwMsgHandshake::loclcalc_addr

local public IP

## login_type

guint16 mwMsgHandshake::login_type

See also
  mwLoginType

## major

guint16 mwMsgHandshake::major

client's major version number

## minor

guint16 mwMsgHandshake::minor

client's minor version number

## srvrcalc_addr

guint32 mwMsgHandshake::srvrcalc_addr

0.0.0.0

## unknown_a

guint16 mwMsgHandshake::unknown_a

normally 0x0100

## unknown_b

guint32 mwMsgHandshake::unknown_b

normally 0x00000000

The documentation for this struct was generated from the following file:

- mw_message.h